commit a316bd50f82d04613fa224de7883260c6720896d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Dec 12 01:18:19 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index bed72424417..c59e542a641 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211211
+20211212
diff --git a/gcc/analyzer/ChangeLog b/gcc/analyzer/ChangeLog
index dfff2a76076..4e27be51e71 100644
--- a/gcc/analyzer/ChangeLog
+++ b/gcc/analyzer/ChangeLog
@@ -1,3 +1,10 @@
+2021-12-11  David Malcolm  <dmalcolm@redhat.com>
+
+	PR analyzer/101962
+	* region-model.cc (region_model::eval_condition_without_cm):
+	Refactor comparison against zero, adding a check for
+	POINTER_PLUS_EXPR of non-NULL.
+
 2021-07-28  Release Manager
 
 	* GCC 11.2.0 released.
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 2cf6fab0698..0f31e8e1ce8 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2021-12-11  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-07  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103588
+	* array.c (gfc_ref_dimen_size): Do not generate internal error on
+	failed simplification of stride expression; just return failure.
+
 2021-12-10  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/jit/ChangeLog b/gcc/jit/ChangeLog
index 44218319fc2..5c33bda7803 100644
--- a/gcc/jit/ChangeLog
+++ b/gcc/jit/ChangeLog
@@ -1,3 +1,9 @@
+2021-12-11  David Malcolm  <dmalcolm@redhat.com>
+
+	PR jit/103562
+	* jit-playback.c (gcc::jit::playback::context::new_function): Set
+	DECL_CONTEXT of the result_decl.
+
 2021-11-24  Martin Liska  <mliska@suse.cz>
 
 	* jit-playback.c (function): Initialize m_blocks vector.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 8c2e90cdf50..592c6197206 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,23 @@
+2021-12-11  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-07  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103588
+	* gfortran.dg/pr103588.f90: New test.
+
+2021-12-11  David Malcolm  <dmalcolm@redhat.com>
+
+	PR jit/103562
+	* jit.dg/all-non-failing-tests.h: Add comment about...
+	* jit.dg/test-pr103562.c: New test.
+
+2021-12-11  David Malcolm  <dmalcolm@redhat.com>
+
+	PR analyzer/101962
+	* gcc.dg/analyzer/data-model-23.c: New test.
+	* gcc.dg/analyzer/pr101962.c: New test.
+
 2021-12-10  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

